> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer an Assistant question



## OpenAPI

````yaml post /v5/agent/answer
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v5/agent/answer:
    post:
      tags:
        - Agent
      summary: Answer a durable Assistant question
      operationId: v5AgentAnswer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantAnswerRequest'
      responses:
        '200':
          description: Answer accepted and session resume requested
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantAnswerResponse'
        '400':
          description: Invalid request body
        '404':
          description: Session or question not found
        '409':
          description: Question has already resumed or cannot accept an answer
components:
  schemas:
    AssistantAnswerRequest:
      type: object
      required:
        - sessionId
        - questionId
        - answers
      properties:
        sessionId:
          type: string
          format: uuid
        questionId:
          type: string
        threadId:
          type: string
          format: uuid
        answers:
          type: object
          additionalProperties:
            type: string
          description: >-
            Question-index-to-answer map. Freeform answers use the `_freeform`
            key.
    AssistantAnswerResponse:
      type: object
      required:
        - data
        - status
        - message
      properties:
        data:
          type: object
          required:
            - success
          properties:
            success:
              type: boolean
              enum:
                - true
        status:
          type: string
          enum:
            - success
        message:
          type: string

````